Attach bounded currency-explicit cost evidence to the active revision
POST
/
api
/
v1
/
deployments
/
{name}
/
cost-evidence
Attach bounded currency-explicit cost evidence to the active revision
curl --request POST \
--url http://127.0.0.1:18000/api/v1/deployments/{name}/cost-evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allocations": [
{
"amount": 1,
"billing_unit": "hour",
"resource": "<string>",
"scope": "<string>",
"window_end": "2023-11-07T05:31:56Z",
"window_start": "2023-11-07T05:31:56Z"
}
],
"currency": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"valid_until": "2023-11-07T05:31:56Z"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/{name}/cost-evidence"
payload = {
"allocations": [
{
"amount": 1,
"billing_unit": "hour",
"resource": "<string>",
"scope": "<string>",
"window_end": "2023-11-07T05:31:56Z",
"window_start": "2023-11-07T05:31:56Z"
}
],
"currency": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"valid_until": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allocations: [
{
amount: 1,
billing_unit: 'hour',
resource: '<string>',
scope: '<string>',
window_end: '2023-11-07T05:31:56Z',
window_start: '2023-11-07T05:31:56Z'
}
],
currency: '<string>',
observed_at: '2023-11-07T05:31:56Z',
source: '<string>',
valid_until: '2023-11-07T05:31:56Z'
})
};
fetch('http://127.0.0.1:18000/api/v1/deployments/{name}/cost-evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/{name}/cost-evidence"
payload := strings.NewReader("{\n \"allocations\": [\n {\n \"amount\": 1,\n \"billing_unit\": \"hour\",\n \"resource\": \"<string>\",\n \"scope\": \"<string>\",\n \"window_end\": \"2023-11-07T05:31:56Z\",\n \"window_start\": \"2023-11-07T05:31:56Z\"\n }\n ],\n \"currency\": \"<string>\",\n \"observed_at\": \"2023-11-07T05:31:56Z\",\n \"source\": \"<string>\",\n \"valid_until\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Body
application/json
Required array length:
1 - 128 elementsShow child attributes
Show child attributes
Pattern:
^[A-Z]{3}$Available options:
measured, provider_reported Required string length:
1 - 255Response
Created
⌘I
Attach bounded currency-explicit cost evidence to the active revision
curl --request POST \
--url http://127.0.0.1:18000/api/v1/deployments/{name}/cost-evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allocations": [
{
"amount": 1,
"billing_unit": "hour",
"resource": "<string>",
"scope": "<string>",
"window_end": "2023-11-07T05:31:56Z",
"window_start": "2023-11-07T05:31:56Z"
}
],
"currency": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"valid_until": "2023-11-07T05:31:56Z"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/{name}/cost-evidence"
payload = {
"allocations": [
{
"amount": 1,
"billing_unit": "hour",
"resource": "<string>",
"scope": "<string>",
"window_end": "2023-11-07T05:31:56Z",
"window_start": "2023-11-07T05:31:56Z"
}
],
"currency": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"valid_until": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allocations: [
{
amount: 1,
billing_unit: 'hour',
resource: '<string>',
scope: '<string>',
window_end: '2023-11-07T05:31:56Z',
window_start: '2023-11-07T05:31:56Z'
}
],
currency: '<string>',
observed_at: '2023-11-07T05:31:56Z',
source: '<string>',
valid_until: '2023-11-07T05:31:56Z'
})
};
fetch('http://127.0.0.1:18000/api/v1/deployments/{name}/cost-evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/{name}/cost-evidence"
payload := strings.NewReader("{\n \"allocations\": [\n {\n \"amount\": 1,\n \"billing_unit\": \"hour\",\n \"resource\": \"<string>\",\n \"scope\": \"<string>\",\n \"window_end\": \"2023-11-07T05:31:56Z\",\n \"window_start\": \"2023-11-07T05:31:56Z\"\n }\n ],\n \"currency\": \"<string>\",\n \"observed_at\": \"2023-11-07T05:31:56Z\",\n \"source\": \"<string>\",\n \"valid_until\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}